import { BaseApiService } from '@/services/api/base';
import {
  CreateEmployeePayload,
  Employee,
  UpdateEmployeePayload,
} from '@/types/api/daily-checklist/employee';

export class EmployeeApiService extends BaseApiService<
  Employee,
  CreateEmployeePayload,
  UpdateEmployeePayload
> {
  constructor(basePath: string = '/master-data/employees') {
    super(basePath);
  }
}

export const EmployeeApi = new EmployeeApiService('/master-data/employees');
